Bug 1470631 - SELinux is preventing qemu-system-x86 from 'read' accesses on the file cmdline.
SELinux is preventing qemu-system-x86 from 'read' accesses on the file cmdline.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:1578221644b059be1b5facc7e57...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 06:38 EDT by Yaniv Kaul
Modified: 2017-10-27 03:43 EDT (History)
11 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-260.13.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-17 06:33:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2017-07-13 06:38:46 EDT
Description of problem:
SELinux is preventing qemu-system-x86 from 'read' accesses on the file cmdline.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that qemu-system-x86 should be allowed read access on the cmdline file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'qemu-system-x86' --raw | audit2allow -M my-qemusystemx86
# semodule -X 300 -i my-qemusystemx86.pp

Additional Information:
Source Context                system_u:system_r:svirt_t:s0:c267,c505
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                cmdline [ file ]
Source                        qemu-system-x86
Source Path                   qemu-system-x86
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-259.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.11.9-300.fc26.x86_64 #1 SMP Wed
                              Jul 5 16:21:56 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2017-07-13 06:37:38 EDT
Last Seen                     2017-07-13 06:37:38 EDT
Local ID                      cd4a4bce-9886-4b3c-a622-3671d9dfe664

Raw Audit Messages
type=AVC msg=audit(1499942258.349:695): avc:  denied  { read } for  pid=12081 comm="qemu-system-x86" name="cmdline" dev="proc" ino=340259 scontext=system_u:system_r:svirt_t:s0:c267,c505 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=file permissive=1


Hash: qemu-system-x86,svirt_t,unconfined_t,file,read

Version-Release number of selected component:
selinux-policy-3.13.1-259.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.9-300.fc26.x86_64
type:           libreport
Comment 1 bugreports 2017-09-04 15:19:16 EDT
Description of problem:
Running Windows 10 VM.

Version-Release number of selected component:
selinux-policy-3.13.1-260.6.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.8-300.fc26.x86_64
type:           libreport
Comment 2 bugreports 2017-10-16 20:19:06 EDT
Description of problem:
Happens after shutting down a Windows VM.

Version-Release number of selected component:
selinux-policy-3.13.1-260.9.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.13.5-200.fc26.x86_64
type:           libreport
Comment 3 Lukas Vrabec 2017-10-17 06:33:37 EDT
This should be fixed in the latest selinux-policy package update.
Comment 4 bugreports 2017-10-17 23:36:55 EDT
Description of problem:
Happens when shutting down my Windows VM in Gnome Boxes.

Version-Release number of selected component:
selinux-policy-3.13.1-260.13.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.13.5-200.fc26.x86_64
type:           libreport
Comment 5 gaxweb 2017-10-27 03:43:10 EDT
(In reply to Lukas Vrabec from comment #3)
> This should be fixed in the latest selinux-policy package update.

Just occurred for me with 3.13.1-260.13.fc26 installed.

Note You need to log in before you can comment on or make changes to this bug.